FTPSSocketFactory
Date: 2016-06-23

org.apache.commons.net.ftp

## Class FTPSSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - org.apache.commons.net.ftp.FTPSSocketFactory

-     public class FTPSSocketFactory
      extends javax.net.SocketFactory

  Implementation of org.apache.commons.net.SocketFactory
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FTPSSocketFactory(javax.net.ssl.SSLContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.ServerSocket` | `createServerSocket(int port)` Deprecated. (2.2) use `instead`
    `java.net.ServerSocket` | `createServerSocket(int port, int backlog)` Deprecated. (2.2) use `instead`
    `java.net.ServerSocket` | `createServerSocket(int port, int backlog, java.net.InetAddress ifAddress)` Deprecated. (2.2) use `instead`
    `java.net.Socket` | `createSocket()`
    `java.net.Socket` | `createSocket(java.net.InetAddress address, int port)`
    `java.net.Socket` | `createSocket(java.net.InetAddress address, int port, java.net.InetAddress localAddress, int localPort)`
    `java.net.Socket` | `createSocket(java.lang.String address, int port)`
    `java.net.Socket` | `createSocket(java.lang.String address, int port, java.net.InetAddress localAddress, int localPort)`
    `java.net.ServerSocket` | `init(java.net.ServerSocket socket)` Deprecated. (2.2) use `FTPSServerSocketFactory.init(java.net.ServerSocket)`

    - ### Methods inherited from class javax.net.SocketFactory

      `getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FTPSSocketFactory

          public FTPSSocketFactory(javax.net.ssl.SSLContext context)

  - ### Method Detail

    - #### createSocket

          public java.net.Socket createSocket()
                                       throws java.io.IOException

      Overrides:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String address,
                                     int port)
                                       throws java.net.UnknownHostException,
                                              java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.net.UnknownHostException`
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.net.InetAddress address,
                                     int port)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String address,
                                     int port,
                                     java.net.InetAddress localAddress,
                                     int localPort)
                                       throws java.net.UnknownHostException,
                                              java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.net.UnknownHostException`
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.net.InetAddress address,
                                     int port,
                                     java.net.InetAddress localAddress,
                                     int localPort)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createServerSocket

          @Deprecated
          public java.net.ServerSocket createServerSocket(int port)
                                                   throws java.io.IOException

      Deprecated. (2.2) use `instead`
      Parameters:
        `port` - the port
      Returns:
        the socket
      Throws:
        `java.io.IOException` - on error

    - #### createServerSocket

          @Deprecated
          public java.net.ServerSocket createServerSocket(int port,
                                                            int backlog)
                                                   throws java.io.IOException

      Deprecated. (2.2) use `instead`
      Parameters:
        `port` - the port
        `backlog` - the backlog
      Returns:
        the socket
      Throws:
        `java.io.IOException` - on error

    - #### createServerSocket

          @Deprecated
          public java.net.ServerSocket createServerSocket(int port,
                                                            int backlog,
                                                            java.net.InetAddress ifAddress)
                                                   throws java.io.IOException

      Deprecated. (2.2) use `instead`
      Parameters:
        `port` - the port
        `backlog` - the backlog
        `ifAddress` - the interface
      Returns:
        the socket
      Throws:
        `java.io.IOException` - on error

    - #### init

          @Deprecated
          public java.net.ServerSocket init(java.net.ServerSocket socket)
                                     throws java.io.IOException

      Deprecated. (2.2) use `FTPSServerSocketFactory.init(java.net.ServerSocket)`
      Parameters:
        `socket` - the socket
      Returns:
        the socket
      Throws:
        `java.io.IOException` - on error